lm.component('homeBoxBookmark', {
	templateUrl: 'components/homeBoxBookmark.html',
	bindings: {
		box: '<'
	},
	controller: function($http, serviceLimboMedia) {
		var ctrl = this;
		
		ctrl.error = null;
		ctrl.items = [];
		
		if(ctrl.box.type != 'bookmarkBox') return;
		
		$http.get(lmBase.url + 'b/items/list',{params : {lid:ctrl.box.labelID}})
			.success(function(data) {
				ctrl.items = data;
			})
			.error(function(data, status, headers, config) {
				ctrl.error = "Error fetching bookmarks. Label has been deleted or access denied.";
			});
	}
});