lm.component('homeBoxNote', {
	templateUrl: 'components/homeBoxNote.html',
	bindings: {
		box: '<'
	},
	controller: function($http, serviceLimboMedia, serviceNotification) {
		var ctrl = this;
		
		ctrl.error = null;
		ctrl.content = null;
		
		if(ctrl.box.type != 'noteBox') return;
		
		ctrl.loadItems = function() {
			$http.get(lmBase.url + 'n/item/' + ctrl.box.noteID)
			.success(function(data) {
				ctrl.content = data;;
			})
			.error(function(data, status, headers, config) {
				ctrl.error = "Error fetching note. Note has been deleted or access denied.";
			});		
		}
		
		ctrl.itemSave = function() {
			var req = {name: ctrl.content.name, content: ctrl.content.content, labelId: ctrl.content.label.id};
			$http.post(lmBase.url + 'n/item/' + ctrl.content.id,req)
				.success(function(data) {
					serviceNotification.ok('MSG_SAVED');
				}).error(serviceLimboMedia.handleHttpError);
		}

		ctrl.loadItems();
	}
});