lm.component('lmApp', {
	templateUrl: 'components/lmApp.html',
	bindings: { },
	$routeConfig: [
	               {path: '/home', name: 'Home', component: 'pageHome', useAsDefault: true},
	               {path: '/login', name: 'Login', component: 'pageLogin' },
	               {path: '/bookmarks', name: 'Bookmarks', component: 'pageBookmark' },
	               {path: '/notes', name: 'Notes', component: 'pageNote' },
	               {path: '/todos', name: 'Todos', component: 'pageTodo' },
	               {path: '/iot', name: 'IoT', component: 'pageIot' },
	               {path: '/files', name: 'Files', component: 'pageFiles' },
	               {path: '/files/:id', name: 'FilesAndMedia', component: 'pageFiles' },
	               {path: '/settingsUser', name: 'SettingsUser', component: 'pageSetUser' },
	               {path: '/settingsUserStats', name: 'SettingsUserStats', component: 'pageSetStats' },
	               {path: '/settingsJobs', name: 'SettingsJobs', component: 'pageSetJobs' },
	               {path: '/systemLogs', name: 'SystemLogs', component: 'pageSysLogs' },
	               {path: '/systemStats', name: 'SystemStats', component: 'pageSysStats' },
	               {path: '/systemSystem', name: 'SystemSystem', component: 'pageSysSystem' },
	               {path: '/systemRrd', name: 'SystemRrd', component: 'pageSysRrd' },
	               {path: '/systemConsole', name: 'SystemConsole', component: 'pageSysConsole' },
	               {path: '/systemUserManager', name: 'SystemUserManager', component: 'pageSysUserMgmt' },
	               {path: '/systemFileMedia', name: 'SystemFileMedia', component: 'pageSysFileMedia' },
	               {path: '/link/:token', name: 'Link', component: 'pageLink' },
	               {path: '/link/:token/:resType/:resId', name: 'Link', component: 'pageLink' }
	],
	controller: function($scope, $http, $modal, serviceLimboMedia) {
		var ctrl = this;
	}
	
});