lm.component('lmNavigation', {
	templateUrl: 'components/lmNavigation.html',
	bindings: { },
	controller: function($scope,$location,serviceLimboMedia,serviceUpload,serviceMediaPlayer,serviceSidebar) {
		var ctrl = this;
		
		ctrl.userdetails = serviceLimboMedia.userdetails;

		ctrl.navItems = [
		                 {name: 'Files', key: 'FILEMEDIA', path: '/files', clazz: 'active'},
		                 {name: 'Bookmarks', key: 'BOOKMARKS', path: '/bookmarks', clazz: ''},
		                 {name: 'ToDos', key: 'TODOS', path: '/todos', clazz: ''},
		                 {name: 'Notes', key: 'NOTES', path: '/notes', clazz: ''},
		                 {name: 'IoT', key: 'IOT', path: '/iot', clazz: ''}
		];

		$scope.$on('$routeChangeSuccess', function(scope, current, pre) {
			for(x in ctrl.navItems) {
				var item = ctrl.navItems[x];
				item.clazz = ($location.path().indexOf(item.path) == 0) ? 'active' : '';
			}
	    });
	    
		ctrl.logout = function() {
			serviceLimboMedia.logout();
		};
		
		/* upload */
		ctrl.uploadState = serviceUpload.state;
		
		ctrl.uploadToggle = function() {
		 	serviceUpload.toggleShow();
		};
		
		/* sidebar */
		ctrl.sidebarState = serviceSidebar.state;
		
		ctrl.mediaToggle = function() {
			serviceSidebar.toggleShow();
		};
	}


});