lm.component('lmSearch', {
	templateUrl: 'components/lmSearch.html',
	bindings: {
		state: '<', // {active: false, value: ''};
		onChange: '&'
	},
	controller: function($timeout, serviceLimboMedia) {
		var ctrl = this;
		
		ctrl.clear = function() {
			ctrl.state.value = '';
			ctrl.state.active = false;
			ctrl.onChange();
		};
		
		ctrl.searchDelay = function() {
			ctrl.state.active = !(ctrl.state.value == null || ctrl.state.value == '');	
			ctrl.onChange();
		};
		
		ctrl.search = function() {
			if(ctrl.state.delay != null) {
				$timeout.cancel(ctrl.state.delay);
			}
			ctrl.state.delay = $timeout(ctrl.searchDelay, 500);
		};		
		
	}
});