lm.component('lmSlider', {
  templateUrl: 'components/lmSlider.html',
  bindings: {
	  percent: '<',
	  onChange: '&'
  },
  controller: function($scope, $element, $http, $translate, $modal,serviceLimboMedia,serviceNotification) {
	  var ctrl = this;
	  
	  ctrl.value = 0;
	  
	  ctrl.refresh = function() {
		  ctrl.value = Math.round(ctrl.percent * 100);
	  }

	  ctrl.onClick = function($event) {
		var per = lmBase.mouseInElement($event);
		ctrl.onChange({val: per});
	  }
	  
	  ctrl.$onChanges = function(changesObj) {
		  ctrl.refresh();
	  }

	  ctrl.$onInit = function() {
		  ctrl.value = Math.round(ctrl.percent * 100);
	  }
  }
});