lm.component('pageNote', {
	templateUrl : 'components/pageNote.html',
	bindings : {

	},
	$canActivate : function($nextInstruction, $prevInstruction, serviceLimboMedia) {
		return serviceLimboMedia.isAuthenticated();
	},
	controller : function($scope, $http, $modal) {
		var ctrl = this;

		ctrl.search = {
			active : false,
			value : ''
		};

		ctrl.selectedLabel = null;

		ctrl.selectedLabelChanged = function(selectedItem) {
			ctrl.selectedLabel = selectedItem;
		}

		ctrl.toggleConfig = function() {
			var modalInstance = $modal.open({
				templateUrl : 'dialogs/dialogNoteSettings.html',
				controller : 'CtrlDialogNoteSettings',
			});
		};
	}

});