lm.component('pageSetStats', {
  templateUrl: 'components/pageSetStats.html',
  bindings: {
  },
  $canActivate: function($nextInstruction, $prevInstruction, serviceLimboMedia) {
	  return serviceLimboMedia.isAuthenticated();
  },
  controller: function($http, serviceNotification, serviceLimboMedia) {
	  var ctrl = this;
	  
	  ctrl.stats = null;
	  ctrl.overall = null;
		
	  ctrl.loadStats = function() {
		  ctrl.formats = null;
		  ctrl.stats = null;
		  ctrl.overall = null;

			$http.get(lmBase.url + 'stats/stats')
				.success(function(data) {
					ctrl.overall = new Object();
					ctrl.overall.size = 0;
					
					for(x in data) {
						var dat = data[x];
						dat.hasDetails = false;
						ctrl.overall.size += dat.sizeSum;
					}
					ctrl.stats = data;
				}).error(serviceLimboMedia.handleHttpError);	
		};
		
		ctrl.loadStats();	  

  }
});