lm.factory('serviceClipboard', [ '$rootScope', '$http', 'serviceNotification' , function($rootScope, $http, serviceNotification) {
	var service = new Object();
	
	/* attributes */
	service.items = [];
	service.working = false;
	
	service.clear = function() {
		service.items = [];
	};
	
	service.clip = function(valueItem) {
		for(x in service.items) {
			if(valueItem.id == service.items[x].id) return;
		}
		service.items.push(valueItem);
	};
	
	service.remove = function(valueItem) {
		for(x in service.items) {
			if(valueItem == service.items[x]) {
				service.items.splice(x,1);
				return;
			}
		}		
	};
	
	$rootScope.$on('lmLogout', function() {
		service.clear();
	});
	
	return service;
}]);
