lm.component('pageSetJobs', {
  templateUrl: 'components/pageSetJobs.html',
  bindings: {
  },
  $canActivate: function($nextInstruction, $prevInstruction, serviceLimboMedia) {
	  return serviceLimboMedia.isAuthenticated();
  },
  controller: function($http, serviceLimboMedia, serviceNotification) {
	  var ctrl = this;
	  
	  ctrl.jobs = [];
		
	  ctrl.loadJobs = function() {
			$http.get(lmBase.url + 'fileConfig/jobs')
				.success(function(data) {
					ctrl.jobs = data;
				}).error(serviceLimboMedia.handleHttpError);
		};

		ctrl.cancelJob = function(valueJob) {
			$http.delete(lmBase.url + 'fileConfig/job/' + valueJob.id)
				.success(function(data) {
					serviceNotification.ok('MSG_JOB_CANCEL');
					ctrl.loadJobs();
				}).error(serviceLimboMedia.handleHttpError);	
		};

		ctrl.loadJobs();
  }
});
