lm.component('pageSysSystem', {
  templateUrl: 'components/pageSysSystem.html',
  bindings: {
  },
  $canActivate: function($nextInstruction, $prevInstruction, serviceLimboMedia) {
	  return serviceLimboMedia.isAuthenticated();
  },
  controller: function($http, serviceLimboMedia, serviceNotification) {
	  var ctrl = this;
	  
	  ctrl.shutdownServer = function() {
			$http.post(lmBase.url + 'system/shutdown')
				.success(function(data) {
					serviceNotification.ok('MSG_SHUTDOWN');
				}).error(serviceLimboMedia.handleHttpError);
		};
		
		ctrl.reanalyseMediaFiles = function() {
			$http.post(lmBase.url + 'admin/rescanUploadedMedia')
			.success(function(data) {
				serviceNotification.ok('MSG_JOB_STARTED');
			}).error(serviceLimboMedia.handleHttpError);
		};

  }
});