lm.factory('serviceSidebar', ['$rootScope', 'serviceLimboMedia', function($rootScope, serviceLimboMedia) {
	var service = {
		state: {
			show: false
		}
	}

	service.toggleShow = function() {
		service.state.show = !service.state.show;
	};
	
	service.setShow = function(valShow) {
		service.state.show = valShow;
	};

	$rootScope.$on('lmLogout', function() {
		service.setShow(false);
	});

	return service;
}]);
